Subject: Re: bug#43698: 2nd line of key series doesn’t work

From: Robert Weiner <[email-masked]>
Date: Tue, 29 Sep 2020 18:07:04 -0400

This is not a bug although your desired behavior is understandable.  Since implicit buttons come in many forms, Hyperbole requires their activation via a press on a button’s first line, as documented, to limit the range of text search.

-- Bob

> On Sep 29, 2020, at 3:54 AM, Jean Louis <[email-masked]> wrote:
> 
> This may be a bug for key series, on this text below, if I M-RET on the
> begin of second line on the char m within m} then I get minibuffer
> prompt:
> 
> Visit tags table (default TAGS): ~/.emacs.d/elpa/hyperbole-7.1.3/
> 
> what is expected is that keypress works. If I press M-RET on the char f
> on the end of the first line then the key series works, it asks me for
> occurences. It should work also on the second line within {}.
> 
> {C-h h f o} or {M-x occur RET} (find matches in a single buffer) and {C-h h f
> m} or {M-x moccur RET} (find matches across multiple buffers and files) also
> produce implicit button output that display associated source lines.
> 
> I use:  Editor:      GNU Emacs 28.0.50 (build 15, x86_64-pc-linux-gnu, X toolkit, cairo version 1.14.8, Xaw3d scroll bars)
> 
>        Hyperbole:   7.1.3
>        Sys Type:    x86_64-pc-linux-gnu
>        OS Type:     gnu/linux
>        Window Sys:  emacs
> 
> -- 
> Thanks,
> Jean Louis
> 
> 
> 
> _______________________________________________
> Bug-hyperbole mailing list
> [email-masked]
> https://lists.gnu.org/mailman/listinfo/bug-hyperbole